package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.request.ZhimaCreditScoreBriefGetRequest;
import com.alipay.api.response.ZhimaCreditScoreBriefGetResponse;
import com.alipay.config.AlipayConfig;

public class Test {
	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		ZhimaCreditScoreBriefGetRequest request = new ZhimaCreditScoreBriefGetRequest();
		request.setBizContent("{" +
		"\"transaction_id\":\"201512100936588040000000465158\"," +
		"\"product_code\":\"w1010100000000002733\"," +
		"\"cert_type\":\"ALIPAY_USER_ID\"," +
		"\"cert_no\":\"2088102180198585\"," +
		"\"name\":\"\"," +
		"\"admittance_score\":600" +
		"  }");
		ZhimaCreditScoreBriefGetResponse response = alipayClient.execute(request);
		if(response.isSuccess()){
		System.out.println("óɹ");
		} else {
		System.out.println("ʧ");
		}
		System.out.println(response.getBody());
	}
}
