package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayTradeQueryModel;
import com.alipay.api.request.AlipayTradeQueryRequest;
import com.alipay.api.response.AlipayTradeQueryResponse;
import com.alipay.config.AlipayConfig;

/**
 * 
 * alipay.trade.query (统一收单线下交易查询)
 * @author wb-wly251833
 *
 */
public class AlipayTradeQueryTest {
	
	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		AlipayTradeQueryRequest request = new AlipayTradeQueryRequest();
		/****************************传参方法一*********************/
		//out_trade_no（外部订单号）和trade_no（支付宝交易号)二选一用 即可查询
		AlipayTradeQueryModel model = new AlipayTradeQueryModel();
		model.setOutTradeNo("21070921129550562525");
		//model.setTradeNo("2016113021001004950297103440");
		request.setBizModel(model);
		AlipayTradeQueryResponse response = alipayClient.execute(request);
		System.out.println(response.getBody());
	}	
	
}
